import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/get?${stringify(params)}`);
}


export async function insertForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForWxMiniUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxminiuser/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
